Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1493615

Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Product: [Fedora] Fedora Reporter: Michal Schorm <mschorm>
Component: bindAssignee: Petr Menšík <pemensik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mruprich, msehnout, pemensik, thozza, vonsch, zdohnal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: bind-9.11.2-4.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-15 12:24:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1486480    

Description Michal Schorm 2017-09-20 15:15:08 UTC
Hello, please apply following command to the package SPECfile:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ;

I've tested, that after the command ^ the package builds successfuly in KOJI and uses mariadb client library.

This change is currently applicable to the Rawhide (f28) only.




For more information check the tracking bugzilla.

Comment 1 Petr Menšík 2017-11-01 19:14:02 UTC
Pushed fix to rawhide, not yet built into package. It seems no dependencies changed from built package.

Comment 2 Petr Menšík 2018-01-15 12:24:04 UTC
Finally built new minor version, closing this bug.